#ifndef CHATFILTER_H__
#define CHATFILTER_H__

#include "ChatDataInterface.h"
#include <map>
#include <string>
#include <list>
#include <curl/curl.h> // for some reason, CURL doesn't like forward declarations..

namespace Dreamworld
{

class ChatFilterThread;
class ChatFilter : public ChatDataInterface
{
public:
	ChatFilter();
	virtual ~ChatFilter();
	
	void AddMessage( ChatFilterMessage *pMsg );
	ChatFilterMessage *GetMessage();
	void AddFilteredMessage(ChatFilterMessage *pMsg);		
	void GetFilteredMessages(MsgList_t &filtered);	
	void Clear();
		
	void Update();
private:

	static MsgList_t m_MsgList;	
	static MsgList_t m_MsgListFiltered;
	
	ChatFilterThread *m_pChatFilterThread;
};


}

#endif //CHATFILTER_H__
